QuantLib: SwapRateHelper Class Reference

A free/open-source library for quantitative finance Reference manual - version 1.12

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
SwapRateHelper Class Reference

Rate helper for bootstrapping over swap rates. More...

`#include <ql/termstructures/yield/ratehelpers.hpp>`

Inheritance diagram for SwapRateHelper:
[legend]

## Public Member Functions
| SwapRateHelper (const Handle< Quote > &rate, const boost::shared_ptr< SwapIndex > &swapIndex, const Handle< Quote > &spread=Handle< Quote >(), const Period &fwdStart=0 *Days, const Handle< YieldTermStructure > &discountingCurve=Handle< YieldTermStructure >(), Pillar::Choice pillar=Pillar::LastRelevantDate, Date customPillarDate=Date())
| SwapRateHelper (const Handle< Quote > &rate, const Period &tenor, const Calendar &calendar, Frequency fixedFrequency, BusinessDayConvention fixedConvention, const DayCounter &fixedDayCount, const boost::shared_ptr< IborIndex > &iborIndex, const Handle< Quote > &spread=Handle< Quote >(), const Period &fwdStart=0 *Days, const Handle< YieldTermStructure > &discountingCurve=Handle< YieldTermStructure >(), Natural settlementDays=Null< Natural >(), Pillar::Choice pillar=Pillar::LastRelevantDate, Date customPillarDate=Date())
| SwapRateHelper (Rate rate, const boost::shared_ptr< SwapIndex > &swapIndex, const Handle< Quote > &spread=Handle< Quote >(), const Period &fwdStart=0 *Days, const Handle< YieldTermStructure > &discountingCurve=Handle< YieldTermStructure >(), Pillar::Choice pillar=Pillar::LastRelevantDate, Date customPillarDate=Date())
| SwapRateHelper (Rate rate, const Period &tenor, const Calendar &calendar, Frequency fixedFrequency, BusinessDayConvention fixedConvention, const DayCounter &fixedDayCount, const boost::shared_ptr< IborIndex > &iborIndex, const Handle< Quote > &spread=Handle< Quote >(), const Period &fwdStart=0 *Days, const Handle< YieldTermStructure > &discountingCurve=Handle< YieldTermStructure >(), Natural settlementDays=Null< Natural >(), Pillar::Choice pillar=Pillar::LastRelevantDate, Date customPillarDate=Date())
RateHelper interface
Real | impliedQuote () const
void | setTermStructure (YieldTermStructure *)
SwapRateHelper inspectors
Spread | spread () const
boost::shared_ptr< VanillaSwap > | swap () const
const Period & | forwardStart () const
Visitability
void | accept (AcyclicVisitor &)
Public Member Functions inherited from RelativeDateBootstrapHelper< TS >
| RelativeDateBootstrapHelper (const Handle< Quote > &quote)
| RelativeDateBootstrapHelper (Real quote)
void | update ()
Public Member Functions inherited from BootstrapHelper< TS >
| BootstrapHelper (const Handle< Quote > &quote)
| BootstrapHelper (Real quote)
const Handle< Quote > & | quote () const
Real | quoteError () const
virtual void | setTermStructure (TS *)
| sets the term structure to be used for pricing More...
virtual Date | earliestDate () const
| earliest relevant date More...
virtual Date | maturityDate () const
| instrument's maturity date
virtual Date | latestRelevantDate () const
| latest relevant date More...
virtual Date | pillarDate () const
| pillar date
virtual Date | latestDate () const
| latest date More...
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< iterator, bool > | registerWith (const boost::shared_ptr< Observable > &)
void | registerWithObservables (const boost::shared_ptr< Observer > &)
Size | unregisterWith (const boost::shared_ptr< Observable > &)
void | unregisterWithAll ()
virtual void | deepUpdate ()
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()

## Protected Member Functions
void | initializeDates ()

## Protected Attributes
Natural | settlementDays_
Period | tenor_
Pillar::Choice | pillarChoice_
Calendar | calendar_
BusinessDayConvention | fixedConvention_
Frequency | fixedFrequency_
DayCounter | fixedDayCount_
boost::shared_ptr< IborIndex > | iborIndex_
boost::shared_ptr< VanillaSwap > | swap_
RelinkableHandle< YieldTermStructure > | termStructureHandle_
Handle< Quote > | spread_
Period | fwdStart_
Handle< YieldTermStructure > | discountHandle_
RelinkableHandle< YieldTermStructure > | discountRelinkableHandle_
Protected Attributes inherited from RelativeDateBootstrapHelper< TS >
Date | evaluationDate_
Protected Attributes inherited from BootstrapHelper< TS >
Handle< Quote > | quote_
TS * | termStructure_
Date | earliestDate_
Date | latestDate_
Date | maturityDate_
Date | latestRelevantDate_
Date | pillarDate_

## Additional Inherited Members
Public Types inherited from Observer
typedef std::set< boost::shared_ptr< Observable > > | set_type
typedef set_type::iterator | iterator

## Detailed Description

Rate helper for bootstrapping over swap rates.

Examples:
  Bonds.cpp, and swapvaluation.cpp.